from ocp_vscode import *
from build123d import *
set_port(3939)

tt = thickness_toolboard = 0.8
ttc = thickness_total_connector = 4.0
bh = board_hole = 9.8
dc = depth_clamp = 4.0
dcs = depth_clamp_space = 1.6
lcr = length_clamp_room = bh+5
tc = thickness_clamp = bh*0.75

pts = [
        (0, 0),
        (bh, 0),
        (bh, dc-0.5),
        (bh-1.2, dc),
        (tc, dc),
        (tc, (dc+tt+ttc-dcs)),
        (tc+2.5, (dc+tt+ttc-dcs)),
        (tc+2.5, (dc+tt+ttc)),
        (0, (dc+tt+ttc)),
        (0, 0)
]

with BuildPart() as clamp:
    with BuildSketch() as sk_clamp:
        with BuildLine() as ln_clamp:
            Polyline(pts)
        make_face()
    extrude(amount = bh)
    fillet(clamp.edges(), radius = 0.2)

#export_step(clamp.part, "connectorHoleClamp.step")
show_all()
